## org.eclipse.datatools.connectivity.sqm.core.ui.services
Interface IDataToolsUIServiceManager

    public interface IDataToolsUIServiceManager

Author:
  ljulien

Field Summary
`static org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.DataToolsUIServiceManager` `INSTANCE`

Method Summary
`org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IColumnHelperService` `getColumnHelperService()`
`org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IDecorationService` `getDecorationService()`
`org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IExplorerSorterService` `getExplorerSorterService()`
`org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IForeignKeyHelperService` `getForeignKeyHelperService()`
`org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.ILabelService` `getLabelService(java.lang.Object element)`
`org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IMarkerNavigationService` `getMarkerNavigationService()`
`org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.services.IVirtualNodeServiceFactory` `getVirtualNodeServiceFactory()`
`void` `refreshColumnDecorationService()`

Field Detail

### INSTANCE

    static final org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.DataToolsUIServiceManager INSTANCE

Method Detail

### getDecorationService

    org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IDecorationService getDecorationService()

### getColumnHelperService

    org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IColumnHelperService getColumnHelperService()

### getForeignKeyHelperService

    org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IForeignKeyHelperService getForeignKeyHelperService()

### getVirtualNodeServiceFactory

    org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.services.IVirtualNodeServiceFactory getVirtualNodeServiceFactory()

### getLabelService

    org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.ILabelService getLabelService(java.lang.Object element)

### refreshColumnDecorationService

    void refreshColumnDecorationService()

### getMarkerNavigationService

    org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IMarkerNavigationService getMarkerNavigationService()

### getExplorerSorterService

    org.eclipse.datatools.connectivity.sqm.core.internal.ui.services.IExplorerSorterService getExplorerSorterService()